### org.jfree.layouting.input.style.selectors.conditions

# Class NegativeCSSCondition

- `java.lang.Object`
- - `org.jfree.layouting.input.style.selectors.conditions.NegativeCSSCondition`

Implemented Interfaces:
  Condition, NegativeCondition, CSSCondition, Serializable

`public class NegativeCSSCondition`
`extends java.lang.Object`
`implements NegativeCondition, CSSCondition`

Creation-Date: 24.11.2005, 19:49:05

Author:
  Thomas Morgner

  ## Constructor Summary

  `NegativeCSSCondition(CSSCondition condition)`

  ## Method Summary

  `Condition`

  `getCondition()`

  `short`

  `getConditionType()`
    An integer indicating the type of `Condition`.

  `boolean`

  `isMatch(Object resolveState)`

## Constructor Details

### NegativeCSSCondition

    public NegativeCSSCondition(CSSCondition condition)

## Method Details

### getCondition

    public Condition getCondition()

### getConditionType

    public short getConditionType()

> An integer indicating the type of `Condition`.

### isMatch

    public boolean isMatch(Object resolveState)

> Specified by:
>   isMatch in interface CSSCondition